=== debian/changelog ===
nestopia (1.44+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #559563).

 -- Stephen Kitt <steve@sk2.org>  Sat, 02 Feb 2013 21:02:47 +0100
