=== debian/control ===
Source: nestopia
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Stephen Kitt <steve@sk2.org>
Build-Depends: debhelper (>= 9),
               libasound2-dev,
               libgl1-mesa-dev | libgl-dev,
               libglu1-mesa-dev | libglu-dev,
               libgtk-3-dev,
               libsdl1.2-dev,
               zlib1g-dev
Standards-Version: 3.9.4
Homepage: http://0ldsk00l.ca/nestopia.html
Vcs-Git: git://git.debian.org/git/pkg-games/nestopia.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/nestopia.git;a=summary

Package: nestopia
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: nes-emulator
Description: accurate emulator of the Nintendo Entertainment System
 NEStopia is a NES (Nintento Entertainment System, also known as
 Famicom) emulator designed to provide a highly accurate emulation.
 It features:
    * support for a variety of formats
    * save states
    * a video recorder
    * a game rewinder
    * configuration using a GUI
    * autodetection of PAL and NTSC games
