=== libretro/Makefile ===
--- 
+++ 
@@ -28,55 +28,101 @@
 endif
 
 LIBRETRO_DIR := libretro
+TARGET_NAME := nestopia
 
 ifeq ($(platform), unix)
-   TARGET := libretro.so
+   TARGET := $(TARGET_NAME)_libretro.so
    fpic := -fPIC
    SHARED := -shared -Wl,-version-script=link.T -Wl,-no-undefined
 else ifeq ($(platform), osx)
-   TARGET := libretro.dylib
+   TARGET := $(TARGET_NAME)_libretro.dylib
    fpic := -fPIC
    SHARED := -dynamiclib
+else ifeq ($(platform), ios)
+   TARGET := $(TARGET_NAME)_libretro_ios.dylib
+   fpic := -fPIC
+   SHARED := -dynamiclib
+
+   CC = clang -arch armv7 -isysroot $(IOSSDK)
+   CXX = clang++ -arch armv7 -isysroot $(IOSSDK)
+else ifeq ($(platform), qnx)
+   TARGET := $(TARGET_NAME)_libretro_qnx.so
+   fpic := -fPIC
+   SHARED := -lcpp -lm -shared -Wl,-version-script=link.T -Wl,-no-undefined
+	HAS_GCC := 0
+
+	CC = qcc -Vgcc_ntoarmv7le
+	CXX = QCC -Vgcc_ntoarmv7le_cpp
+	AR = QCC -Vgcc_ntoarmv7le
+	PLATFORM_DEFINES := -D__BLACKBERRY_QNX__ -marm -mcpu=cortex-a9 -mfpu=neon -mfloat-abi=softfp
 else ifeq ($(platform), ps3)
 	HAVE_GCC_WARNINGS := 0
-   TARGET := libretro_ps3.a
+   TARGET := $(TARGET_NAME)_libretro_ps3.a
    CXX = $(CELL_SDK)/host-win32/ppu/bin/ppu-lv2-g++.exe
+   CC = $(CELL_SDK)/host-win32/ppu/bin/ppu-lv2-gcc.exe
    AR = $(CELL_SDK)/host-win32/ppu/bin/ppu-lv2-ar.exe
    PLATFORM_DEFINES := -D__CELLOS_LV2__
+	STATIC_LINKING = 1
 else ifeq ($(platform), sncps3)
 	HAVE_GCC_WARNINGS := 0
-   TARGET := libretro_ps3.a
+   TARGET := $(TARGET_NAME)_libretro_ps3.a
 	HAS_GCC := 0
    CC = $(CELL_SDK)/host-win32/sn/bin/ps3ppusnc.exe
    CXX = $(CELL_SDK)/host-win32/sn/bin/ps3ppusnc.exe
    AR = $(CELL_SDK)/host-win32/sn/bin/ps3snarl.exe
    PLATFORM_DEFINES := -D__CELLOS_LV2__
+	STATIC_LINKING = 1
 else ifeq ($(platform), psl1ght)
-   TARGET := libretro_psl1ght.a
+   TARGET := $(TARGET_NAME)_libretro_psl1ght.a
    CC = $(PS3DEV)/ppu/bin/ppu-gcc$(EXE_EXT)
    CXX = $(PS3DEV)/ppu/bin/ppu-g++$(EXE_EXT)
    AR = $(PS3DEV)/ppu/bin/ppu-ar$(EXE_EXT)
    PLATFORM_DEFINES := -D__CELLOS_LV2__
+	STATIC_LINKING = 1
 else ifeq ($(platform), xenon)
-   TARGET := libretro_xenon360.a
+   TARGET := $(TARGET_NAME)_libretro_xenon360.a
    CC = xenon-gcc$(EXE_EXT)
    CXX = xenon-g++$(EXE_EXT)
    AR = xenon-ar$(EXE_EXT)
    PLATFORM_DEFINES := -D__LIBXENON__
+	STATIC_LINKING = 1
 else ifeq ($(platform), ngc)
-   TARGET := libretro_ngc.a
+   TARGET := $(TARGET_NAME)_libretro_ngc.a
    CC = $(DEVKITPPC)/bin/powerpc-eabi-gcc$(EXE_EXT)
    CXX = $(DEVKITPPC)/bin/powerpc-eabi-g++$(EXE_EXT)
    AR = $(DEVKITPPC)/bin/powerpc-eabi-ar$(EXE_EXT)
    PLATFORM_DEFINES += -DGEKKO -DHW_DOL -mrvl -mcpu=750 -meabi -mhard-float
+	STATIC_LINKING = 1
 else ifeq ($(platform), wii)
-   TARGET := libretro_wii.a
+   TARGET := $(TARGET_NAME)_libretro_wii.a
    CC = $(DEVKITPPC)/bin/powerpc-eabi-gcc$(EXE_EXT)
    CXX = $(DEVKITPPC)/bin/powerpc-eabi-g++$(EXE_EXT)
    AR = $(DEVKITPPC)/bin/powerpc-eabi-ar$(EXE_EXT)
    PLATFORM_DEFINES += -DGEKKO -DHW_RVL -mrvl -mcpu=750 -meabi -mhard-float
+	STATIC_LINKING = 1
+else ifneq (,$(findstring armv,$(platform)))
+   TARGET := $(TARGET_NAME)_libretro.so
+   fpic := -fPIC
+   SHARED := -shared -Wl,-version-script=link.T -Wl,-no-undefined
+   CC = gcc
+ifneq (,$(findstring cortexa8,$(platform)))
+   PLATFORM_DEFINES += -marm -mcpu=cortex-a8
+else ifneq (,$(findstring cortexa9,$(platform)))
+   PLATFORM_DEFINES += -marm -mcpu=cortex-a9
+endif
+   PLATFORM_DEFINES += -marm
+ifneq (,$(findstring neon,$(platform)))
+   PLATFORM_DEFINES += -mfpu=neon
+   HAVE_NEON = 1
+endif
+ifneq (,$(findstring softfloat,$(platform)))
+   PLATFORM_DEFINES += -mfloat-abi=softfp
+else ifneq (,$(findstring hardfloat,$(platform)))
+   PLATFORM_DEFINES += -mfloat-abi=hard
+endif
+   PLATFORM_DEFINES += -DARM
 else
-   TARGET := retro.dll
+   TARGET := $(TARGET_NAME)_libretro.dll
    CC = gcc
    CXX = g++
    SHARED := -shared -static-libgcc -static-libstdc++ -Wl,-no-undefined -Wl,-version-script=link.T
@@ -95,9 +141,6 @@
    CXXFLAGS += -O3
 endif
 
-ifeq ($(platform), ps3)
-endif
-
 OBJS = $(NST_DIR)/source/core/NstZlib.o
 
 ## Yes, I didn't type all this out ...
@@ -114,6 +157,8 @@
 OBJS += $(NST_DIR)/source/core/NstCore.o             $(NST_DIR)/source/core/NstPatcherIps.o     $(NST_DIR)/source/core/NstTracker.o          
 OBJS += $(NST_DIR)/source/core/NstCpu.o              $(NST_DIR)/source/core/NstPatcherUps.o     $(NST_DIR)/source/core/NstTrackerMovie.o
 OBJS += $(NST_DIR)/source/core/NstCrc32.o            $(NST_DIR)/source/core/NstPins.o           $(NST_DIR)/source/core/NstTrackerRewinder.o
+OBJS += $(NST_DIR)/source/core/NstVideoFilterNtscCfg.o					$(NST_DIR)/source/core/NstVideoFilterNtsc.o
+
 
 # core/api
 OBJS += $(NST_DIR)/source/core/api/NstApiBarcodeReader.o  $(NST_DIR)/source/core/api/NstApiEmulator.o  $(NST_DIR)/source/core/api/NstApiMovie.o     $(NST_DIR)/source/core/api/NstApiTapeRecorder.o
@@ -148,13 +193,3 @@
 OBJS += $(NST_DIR)/source/core/board/NstBoardBmc64in1.o              $(NST_DIR)/source/core/board/NstBoardFujiya.o                 $(NST_DIR)/source/core/board/NstBoardSunsoft4.o
 OBJS += $(NST_DIR)/source/core/board/NstBoardBmc72in1.o              $(NST_DIR)/source/core/board/NstBoardFukutake.o               $(NST_DIR)/source/core/board/NstBoardSunsoft5b.o
 OBJS += $(NST_DIR)/source/core/board/NstBoardBmc76in1.o              $(NST_DIR)/source/core/board/NstBoardFutureMedia.o            $(NST_DIR)/source/core/board/NstBoardSunsoftDcs.o
-OBJS += $(NST_DIR)/source/core/board/NstBoardBmc800in1.o             $(NST_DIR)/source/core/board/NstBoardGouder.o                 $(NST_DIR)/source/core/board/NstBoardSunsoftFme7.o
-OBJS += $(NST_DIR)/source/core/board/NstBoardBmc8157.o               $(NST_DIR)/source/core/board/NstBoardGxRom.o                  $(NST_DIR)/source/core/board/NstBoardSuperGameBoogerman.o
-OBJS += $(NST_DIR)/source/core/board/NstBoardBmc9999999in1.o         $(NST_DIR)/source/core/board/NstBoardHenggedianzi.o           $(NST_DIR)/source/core/board/NstBoardSuperGameLionKing.o
-OBJS += $(NST_DIR)/source/core/board/NstBoardBmcA65as.o              $(NST_DIR)/source/core/board/NstBoardHes.o                    $(NST_DIR)/source/core/board/NstBoardSuperGamePocahontas2.o
-OBJS += $(NST_DIR)/source/core/board/NstBoardBmcBallgames11in1.o     $(NST_DIR)/source/core/board/NstBoardHosenkan.o               $(NST_DIR)/source/core/board/NstBoardTaitoTc0190fmc.o
-OBJS += $(NST_DIR)/source/core/board/NstBoardBmcCh001.o              $(NST_DIR)/source/core/board/NstBoardIremG101.o               $(NST_DIR)/source/core/board/NstBoardTaitoTc0190fmcPal16r4.o
-OBJS += $(NST_DIR)/source/core/board/NstBoardBmcCtc65.o              $(NST_DIR)/source/core/board/NstBoardIremH3001.o              $(NST_DIR)/source/core/board/NstBoardTaitoX1005.o
-OBJS += $(NST_DIR)/source/core/board/NstBoardBmcFamily4646B.o        $(NST_DIR)/source/core/board/NstBoardIremHolyDiver.o          $(NST_DIR)/source/core/board/NstBoardTaitoX1017.o
-OBJS += $(NST_DIR)/source/core/board/NstBoardBmcFk23c.o              $(NST_DIR)/source/core/board/NstBoardIremKaiketsu.o           $(NST_DIR)/source/core/board/NstBoardTengen.o
-OBJS += $(NST_DIR)/source/core/board/NstBoardBmcGamestarA.o          $(NST_DIR)/source/core/board/NstBoardIremLrog017.o            $(NST_DIR)/source/core/board/NstBoardTengenRambo1.o
