=== debian/changelog ===
nestopia (1.45+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Switch to my Debian email address.
  * Use canonical VCS URIs.

 -- Stephen Kitt <skitt@debian.org>  Wed, 07 Aug 2013 02:43:36 +0200
