=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Stephen Kitt <steve@sk2.org>
+Uploaders: Stephen Kitt <skitt@debian.org>
 Build-Depends: debhelper (>= 9),
+               libarchive-dev,
                libasound2-dev,
                libgl1-mesa-dev | libgl-dev,
                libglu1-mesa-dev | libglu-dev,
@@ -12,8 +13,8 @@
                zlib1g-dev
 Standards-Version: 3.9.4
 Homepage: http://0ldsk00l.ca/nestopia.html
-Vcs-Git: git://git.debian.org/git/pkg-games/nestopia.git
-Vcs-Browser: http://git.debian.org/?p=pkg-games/nestopia.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-games/nestopia.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/nestopia.git;a=summary
 
 Package: nestopia
 Architecture: any
