=== debian/watch ===
version=3

opts=dversionmangle=s/.dfsg$// \
  http://sf.net/nestopiaue/nestopia-([0-9].*)\.tgz
